# Scoring covid-19 policies by prefecture in Japan 
[![Open in Code Ocean](https://codeocean.com/codeocean-assets/badge/open-in-code-ocean.svg)](https://codeocean.com/capsule/2570c898-d60b-41ec-bd42-25d0a0629ba9/tree)

DOI: https://doi.org/10.24433/CO.2522268.v1

Y. Takefuji, "The Best and Sustainable COVID-19 Policy in the World," in IEEE Transactions on Computational Social Systems, doi: 10.1109/TCSS.2022.3227926.

Takefuji, Y. Policy analysis and data mining tools for controlling COVID-19 policies. Netw Model Anal Health Inform Bioinforma 12, 4 (2023). https://doi.org/10.1007/s13721-022-00400-3

# Since the NHK dataset is not updated, the following dataset will be used.

https://covid19.mhlw.go.jp/public/opendata/deaths_cumulative_daily.csv

or

https://covid19.mhlw.go.jp/public/opendata/number_of_deaths_daily.csv


# How to install jpscore
You need pandas and openpyxl library.

$ pip install pandas

$ pip install openpyxl

On WSL on Windows, MacOS, or Linux operating systems, run the following command:

$ pip install jpscore

On Windows 11 or 10

$ pip install jpscore --force-reinstall --no-cache-dir --no-binary :all:

The latest data on the number of deaths by prefecture in Japan is at the following site:

https://www3.nhk.or.jp/n-data/opendata/coronavirus/nhk_news_covid19_prefectures_daily_data.csv

# How to run jpscore
The result.csv will be generated by the following command:
as of march 19, 2022

$ jpscore

This is with after version 0.7 or 0.8.

<img src='https://github.com/y-takefuji/covid_score_japan/raw/main/jpscoreEN.jpg' width=397 height=1393>

This is with version 0.1~0.6.

<img src='https://github.com/y-takefuji/covid_score_japan/raw/main/result.png' width=397 height=1393>

# Exercises
<pre>
1. Make a csv file of the total deaths by prefecture using the latest data.
Hints:
Use pandas DataFrame.
Prefecture deaths population score
...

Find the latest date on the total deaths by prefecture in the csv file.
Make a list of prefectures.
Make the total deaths data by prefecture.
Find the latest population csv.
Make the latest population by prefecture.
Calculate a score by prefecture.

